<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\HasRowLevelSecurity;

class RecyclingRequest extends Model
{
    use HasFactory, HasRowLevelSecurity;

    protected $fillable = [
        'user_id',
        'product_color_id',
        'product_name',
        'quantity',
        'weight',
        'uom',
        'total_points',
        'status',
        'image_path',
        'user_note',
        'admin_note',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function productcolor()
    {
        return $this->belongsTo(Productcolor::class, 'product_color_id');
    }
}
